#!/usr/bin/python
# 
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
# 
# ubuntu-server-iso-testing is free software: you can redistribute it 
# and/or modify it under the terms of the GNU General Public License 
# as published by the Free Software Foundation, either version 3 of 
# the License, or (at your option) any later version.
# 
# ubuntu-server-iso-testing is distributed in the hope that it will 
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see 
# <http://www.gnu.org/licenses/>.
# 


import logging
import os.path
import subprocess
import unittest
import urllib2

logging.basicConfig(level=logging.INFO)

class LampTest(unittest.TestCase):

    def testMysqlShowTables(self):
        cmd = ["mysql", "-e", "show tables",
               "--silent", "--silent", "mysql"]
        logging.debug("Cmd: %s" % (cmd))
        (output,stderr) = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()
        self.assertEqual(stderr, None)
        logging.debug("Cmd output: %s" % (output))
        self.assertEqual(len(output.strip().split("\n")), 24)

if __name__ == '__main__':
    unittest.main()
