#!/bin/bash
# 
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
# 
# ubuntu-server-iso-testing is free software: you can redistribute it 
# and/or modify it under the terms of the GNU General Public License 
# as published by the Free Software Foundation, either version 3 of 
# the License, or (at your option) any later version.
# 
# ubuntu-server-iso-testing is distributed in the hope that it will 
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see 
# <http://www.gnu.org/licenses/>.
# 


set -e

echo "pwd" > /tmp/debug
pwd >> /tmp/debug
echo "id" >> /tmp/debug
id >> /tmp/debug
echo "/proc/self/status" >> /tmp/debug
cat /proc/self/status >> /tmp/debug
echo "ls /" >> /tmp/debug
ls / >> /tmp/debug
echo "ls /proc" >> /tmp/debug
ls /proc >> /tmp/debug
echo "I am $$" >> /tmp/debug

rm -rf lxc
bzr branch ubuntu:lxc
python3 lxc/src/python-lxc/examples/api_test.py > /tmp/apiout 2>&1

exit 0
